#setwd("C:/Users/.../Final_JGCS")

library(animation)
library(graphics)
library(R.matlab)
library(R.oo)
library(R.utils)


normT.p <- function(x){dnorm(x, mean=mu0hat.p, sd=sd.p)}

normT <- function(x){dnorm(x, mean=mu0hat, sd=sd)}

normTF <- function(x){pnorm(x, mean=mu0hat, sd=sd)}

normTsq.p <- function(x){(dnorm(x, mean=mu0hat.p, sd=sd.p))^2}

normTFa.p <- function(x){(pnorm(x, mean=mu0hat.p, sd=sd.p))^2}

normTFb.p <- function(x){(pnorm(x, mean=mu0hat.p, sd=sd.p)-1)^2}


#For Model2

#data <- readMat("toR_egAR_modC762.mat")

#save(data,file="dataAR_modC762.RData")

load("dataAR_modC762.RData")


x <- data$x
y <- data$y
z <- data$z

T <- data$T

mu <- data$h.mu.T
beta <- data$beta.T
sig2 <- data$h.sig2

mu0hat <- mu
sd <- sqrt(exp(beta + abs(sig2)/2))


N <- nrow(x)*ncol(x)
LSb <- rep(NA,N)
QSb <- rep(NA,N)
SPHSb <- rep(NA,N)
RPSb <- rep(NA,N)
for (r in 1:nrow(x)){
	for (s in 1:ncol(x)){
    mu0hat.p <- x[r,s]
    sd.p <- sqrt(exp(y[r,s]+ abs(z[r,s])/2))   
    yo <- -0.654717919
    ind <- (r-1)*ncol(x)+s
    LSb[ind] <- log(dnorm(yo, mean=mu0hat.p, sd=sd.p)) 
    QSb[ind] <- 2*dnorm(yo, mean=mu0hat.p, sd=sd.p)- integrate(normTsq.p, -Inf, Inf)$value
    SPHSb[ind] <- dnorm(yo, mean=mu0hat.p, sd=sd.p)/sqrt(integrate(normTsq.p, -Inf, Inf)$value)
    RPSb[ind] <- -sqrt(integrate(normTFa.p, -Inf, yo)$value) - sqrt(integrate(normTFb.p, yo, Inf)$value)
	}
  }


#For the main Model

#data <- readMat("toR_egAR762.mat")

#save(data,file="dataAR762.RData")

load("dataAR762.RData")


x <- data$x
y <- data$y
z <- data$z

T <- data$T

mu <- data$h.mu.T
beta <- data$beta.T
sig2 <- data$h.sig2

mu0hat <- mu
sd <- sqrt(exp(beta + abs(sig2)/2))

N <- nrow(x)*ncol(x)
LSa <- rep(NA,N)
QSa <- rep(NA,N)
SPHSa <- rep(NA,N)
RPSa <- rep(NA,N)
for (r in 1:nrow(x)){
	for (s in 1:ncol(x)){
    mu0hat.p <- x[r,s]
    sd.p <- sqrt(exp(y[r,s]+ abs(z[r,s])/2))   
    yo <- -0.654717919
    ind <- (r-1)*ncol(x)+s
    LSa[ind] <- log(dnorm(yo, mean=mu0hat.p, sd=sd.p)) 
    QSa[ind] <- 2*dnorm(yo, mean=mu0hat.p, sd=sd.p)- integrate(normTsq.p, -Inf, Inf)$value
    SPHSa[ind] <- dnorm(yo, mean=mu0hat.p, sd=sd.p)/sqrt(integrate(normTsq.p, -Inf, Inf)$value)
    RPSa[ind] <- -sqrt(integrate(normTFa.p, -Inf, yo)$value) - sqrt(integrate(normTFb.p, yo, Inf)$value)
	}
  }

LSm <- LSa - LSb
QSm <- QSa - QSb
SPHSm <- SPHSa - SPHSb
RPSm <- RPSa - RPSb


#START FITTING VARIANCE

lnormT.p <- function(x){dlnorm(x, mean=mu0hat.p, sd=sd.p)}

lnormT <- function(x){dlnorm(x, mean=mu0hat, sd=sd)}

lnormTsq.p <- function(x){(dlnorm(x, mean=mu0hat.p, sd=sd.p))^2}

lnormTFa.p <- function(x){(plnorm(x, mean=mu0hat.p, sd=sd.p))^2}

lnormTFb.p <- function(x){(plnorm(x, mean=mu0hat.p, sd=sd.p)-1)^2}

load("dataAR_modC762.RData")

x <- data$x
y <- data$y
z <- data$z

T <- data$T

mu <- data$h.mu.T
beta <- data$beta.T
sig2 <- data$h.sig2

mu0hat <- beta
sd <- sqrt(abs(sig2))

#For eg762: r_{T+1}=-0.654717919  V_{T+1}=0.064473071

N <- nrow(x)*ncol(x)
LSb <- rep(NA,N)
QSb <- rep(NA,N)
SPHSb <- rep(NA,N)
RPSb <- rep(NA,N)
for (r in 1:nrow(x)){
	for (s in 1:ncol(x)){
    mu0hat.p <- y[r,s]
    sd.p <- sqrt(abs(z[r,s])) 
    ind <- (r-1)*ncol(x)+s
    yo <- 0.064473071
    LSb[ind] <- log(dlnorm(yo, mean=mu0hat.p, sd=sd.p))
    QSb[ind] <- 2*dlnorm(yo, mean=mu0hat.p, sd=sd.p)- integrate(lnormTsq.p, 0, Inf)$value
    SPHSb[ind] <- dlnorm(yo, mean=mu0hat.p, sd=sd.p)/sqrt(integrate(lnormTsq.p, 0, Inf)$value)
    RPSb[ind] <- -sqrt(integrate(lnormTFa.p, 0, yo)$value) - sqrt(integrate(lnormTFb.p, yo, Inf)$value)
	}
  }

#START FITTING THE MAIN MODEL

load("dataAR762.RData")

x <- data$x
y <- data$y
z <- data$z

T <- data$T

mu <- data$h.mu.T
beta <- data$beta.T
sig2 <- data$h.sig2

mu0hat <- beta
sd <- sqrt(abs(sig2))

N <- nrow(x)*ncol(x)
LSa <- rep(NA,N)
QSa <- rep(NA,N)
SPHSa <- rep(NA,N)
RPSa <- rep(NA,N)
for (r in 1:nrow(x)){
	for (s in 1:ncol(x)){
    mu0hat.p <- y[r,s]
    sd.p <- sqrt(abs(z[r,s])) 
    ind <- (r-1)*ncol(x)+s
    yo <- 0.064473071
    LSa[ind] <- log(dlnorm(yo, mean=mu0hat.p, sd=sd.p))
    QSa[ind] <- 2*dlnorm(yo, mean=mu0hat.p, sd=sd.p)- integrate(lnormTsq.p, 0, Inf)$value
    SPHSa[ind] <- dlnorm(yo, mean=mu0hat.p, sd=sd.p)/sqrt(integrate(lnormTsq.p, 0, Inf)$value)
    RPSa[ind] <- -sqrt(integrate(lnormTFa.p, 0, yo)$value) - sqrt(integrate(lnormTFb.p, yo, Inf)$value)
	}
  }

LSmV <- LSa - LSb
QSmV <- QSa - QSb
SPHSmV <- SPHSa - SPHSb
RPSmV <- RPSa - RPSb

 
# Specify the file name.
pdf("texT_modC_mix762_LS_QS.pdf",width=7,height=7)

par(mfrow=c(2,2))

plot(LSm, type="l", col = "blue", xlab = expression(paste("Parameter boundary for the pdf of ", r[T+1])), ylab = expression("LS for M1 - LS for M2"), main="Panel A", lty=1, lwd=1)

plot(QSm, type="l", col = "blue", xlab = expression(paste("Parameter boundary for the pdf of ", r[T+1])), ylab = expression("QS for M1 - QS for M2"), main="Panel B", lty=1, lwd=1)

plot(LSmV, type="l", col = "blue", xlab = expression(paste("Parameter boundary for the pdf of ", V[T+1])), ylab = expression("LS for M1 - LS for M2"), main="Panel C", lty=1, lwd=1)

plot(QSmV, type="l", col = "blue", xlab = expression(paste("Parameter boundary for the pdf of ", V[T+1])), ylab = expression("QS for M1 - QS for M2"), main="Panel D", lty=1, lwd=1)

# Save the file.
dev.off()

