#setwd("C:/Users/.../Final_JGCS")
#set.seed(42)
library(animation)
library(skewt)
library(R.matlab)
library(R.oo)
library(R.utils)

data <- readMat("toR_skewt.mat")

save(data,file="data.RData")

skewT.p <- function(x){dskt(x-hbeta.p*cm, df=hv.p, gamma=hlamb.p)}

skewT <- function(x){dskt(x-betah*cm, df=vh, gamma=lambdah)}


#load("data.RData")


x <- data$x
y <- data$y
z <- data$z

T <- data$T
cm <- data$c.m
hthskt <- data$hth.skt

hYT <- data$hat.Y.T

v <- data$v
beta <- data$beta.M
lambda <- data$lambda

vh <- data$h.v
betah <- data$h.beta.M
lambdah <- data$h.lambda

curve(skewT, from=(hYT-8), to=(hYT+9))

composite.expression <- expression(paste("f(", Y[T+1], " | ", y[1:T], "; ", theta, " )"))

saveLatex({
ani.options(interval=0.2)
  for (r in 1:nrow(x)){
	for (s in 1:ncol(x)){
    hbeta.p <- x[r,s]
    hv.p <- y[r,s]
    hlamb.p <- z[r,s]
    curve(skewT.p, from=(hYT-18), to=(hYT+6), n=501, xlab=expression(Y[T+1]), ylab=composite.expression, ylim = c(0,0.3), main="", cex.lab=1.18)
    curve(skewT, from=(hYT-18), to=(hYT+6), n=501, ylim = c(0,0.3), add=TRUE, lty = 3)    
    ani.pause()
	}
  }
}, img.name = "skewTplotstexn2", ani.opts = "controls,loop,width=0.95\\textwidth",
latex.filename = ifelse(interactive(), "skewTplotsn2.tex", ""),
interval = 0.2, 
#nmax = 10, 
ani.dev = "pdf", ani.type = "pdf", ani.width = 8,
ani.height = 4, documentclass = paste("\\documentclass{article}",
"\\usepackage[papersize={7in,7in},margin=0.3in]{geometry}",
sep = "\n"))








