#setwd("C:/Users/.../Final_JGCS")

library(animation)
library(R.matlab)
library(R.oo)
library(R.utils)


data <- readMat("toR_egAR762.mat")

save(data,file="dataAR762.RData")

normT.p <- function(x){dnorm(x, mean=mu0hat.p, sd=sd.p)}

normT <- function(x){dnorm(x, mean=mu0hat, sd=sd)}


#load("dataAR762.RData")


x <- data$x
y <- data$y
z <- data$z

T <- data$T

mu <- data$h.mu.T
beta <- data$beta.T
sig2 <- data$h.sig2

mu0hat <- mu
sd <- sqrt(exp(beta + abs(sig2)/2))


curve(normT, from=(mu-1), to=(mu+1), n=501)


composite.expression <- expression(paste(f[r],"(", r[T+1], " | ", r[1:T], ",", V[1:T], "; ", theta, " )"))


#Static Plots

# Specify the file name.
pdf("egTplots762_stat_rb.pdf",width=7,height=3.8)

c <- 0;

cl <- rainbow(15)

 for (r in 1:5){
	for (s in 1:3){
	c <- c+1
	k <- 4+(r-1)*4
	l <- 1+(s-1)*10
    	mu0hat.p <- x[k,l]
    	sd.p <- sqrt(exp(y[k,l]+ abs(z[k,l])/2)) 
    	curve(normT.p, from=(mu-1.2), to=(mu+1.2), n=501, xlab=expression(r[T+1]), ylab=composite.expression, ylim = c(0,1.7), main="", col = cl[c], cex.lab=1.18)
    	abline(v=-0.654717919, col="black") 
	par(new = TRUE)
	}
  }

    	curve(normT, from=(mu-1.2), to=(mu+1.2), n=501, ylim = c(0,1.7), add=TRUE, lty = 3, lwd = 2)    

# Save the file.
dev.off()







