#setwd("C:/Users/.../Final_JGCS")

library(animation)
library(R.matlab)
library(R.oo)
library(R.utils)

data <- readMat("toR_egAR762.mat")

save(data,file="dataAR762.RData")


lnormT.p <- function(x){dlnorm(x, mean=mu0hat.p, sd=sd.p)}

lnormT <- function(x){dlnorm(x, mean=mu0hat, sd=sd)}


#load("dataAR762.RData")


x <- data$x
y <- data$y
z <- data$z

T <- data$T

mu <- data$h.mu.T
beta <- data$beta.T
sig2 <- data$h.sig2

mu0hat <- beta
sd <- sqrt(abs(sig2))


curve(lnormT, from=(0), to=(0.25), n=501)


composite.expression <- expression(paste(f[V],"(", V[T+1], " | ", r[1:T], ",", V[1:T], "; ", theta, " )"))


#Static Plots

# Specify the file name.
pdf("egLNTplots762_stat_rb.pdf",width=7,height=3.8)

cl <- rainbow(5)

 for (r in 1:5){
	k <- 3+(r-1)*4
	l <- 11
    	mu0hat.p <- y[k,l]
    	sd.p <- sqrt(abs(z[k,l])) 
    	curve(lnormT.p, from=(0), to=(0.20), n=501, xlab=expression(V[T+1]), ylab=composite.expression, ylim = c(0,17), main="", col = cl[r], cex.lab=1)
	abline(v=0.064473071, col="black")
	par(new = TRUE)
	}
	
	curve(lnormT, from=(0), to=(0.20), n=501,  ylim = c(0,17), add=TRUE, lty = 3, lwd = 2)      
   
# Save the file.
dev.off()






