#setwd("C:/Users/.../Final_JGCS")

library(animation)
library(graphics)
library(R.matlab)
library(R.oo)
library(R.utils)


lnormT.p <- function(x){dlnorm(x, mean=mu0hat.p, sd=sd.p)}

lnormT <- function(x){dlnorm(x, mean=mu0hat, sd=sd)}

lnormTc.p <- function(x){dlnorm(x, mean=mu0hat2.p, sd=sd2.p)}

lnormTc <- function(x){dlnorm(x, mean=mu0hat2, sd=sd2)}


#Fitting Model2

#data <- readMat("toR_egAR_modC762.mat")

#save(data,file="dataAR_modC762.RData")

load("dataAR_modC762.RData")


x2 <- data$x
y2 <- data$y
z2 <- data$z

T2 <- data$T

mu2 <- data$h.mu.T
beta2 <- data$beta.T
sig22 <- data$h.sig2

mu0hat2 <- beta2
sd2 <- sqrt(abs(sig22))


#Fitting main Model

#data <- readMat("toR_egAR762.mat")

#save(data,file="dataAR762.RData")

load("dataAR762.RData")

x <- data$x
y <- data$y
z <- data$z

T <- data$T

mu <- data$h.mu.T
beta <- data$beta.T
sig2 <- data$h.sig2

mu0hat <- beta
sd <- sqrt(abs(sig2))


composite.expression <- expression(paste(f[V],"(", V[T+1], " | ", r[1:T], ",", V[1:T], "; ", theta, " )"))

saveLatex({
ani.options(interval=0.2)
  for (r in 1:nrow(x)){
	for (s in 1:ncol(x)){
    mu0hat.p <- y[r,s]
    sd.p <- sqrt(abs(z[r,s])) 
    curve(lnormT.p, from=(0), to=(0.20), n=501, xlab=expression(V[T+1]), ylab=composite.expression, ylim = c(0,25), main="", cex.lab=1)
    mu0hat2.p <- y2[r,s]
    sd2.p <- sqrt(abs(z2[r,s])) 
    curve(lnormTc.p, from=(0), to=(0.20), n=501, ylim = c(0,25), add=TRUE, lty = 2)    
    abline(v=0.064473071, col="blue")    
    ani.pause()
	}
  }
}, img.name = "egTlogplotstex_mix762", ani.opts = "controls,loop,width=0.95\\textwidth",
latex.filename = ifelse(interactive(), "egTlogplots_mix762.tex", ""),
interval = 0.1, 
#nmax = 10, 
ani.dev = "pdf", ani.type = "pdf", ani.width = 7,
ani.height = 4, documentclass = paste("\\documentclass{article}",
"\\usepackage[papersize={7in,7in},margin=0.3in]{geometry}",
sep = "\n"))


